From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fast_gettext/
Date: Tue, 21 May 2024 05:46:29 +0000 (UTC) [thread overview]
Message-ID: <1716270345.4d99ffadfda67b2d957a46c11467aefb2019fefd.graaff@gentoo> (raw)
commit: 4d99ffadfda67b2d957a46c11467aefb2019fefd
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue May 21 05:45:24 2024 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue May 21 05:45:45 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d99ffad
dev-ruby/fast_gettext: add 2.6.0
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/fast_gettext/Manifest | 1 +
dev-ruby/fast_gettext/fast_gettext-2.6.0.ebuild | 54 +++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/dev-ruby/fast_gettext/Manifest b/dev-ruby/fast_gettext/Manifest
index 6588f1bae0e4..71b7c7e8fc78 100644
--- a/dev-ruby/fast_gettext/Manifest
+++ b/dev-ruby/fast_gettext/Manifest
@@ -1,2 +1,3 @@
DIST fast_gettext-2.2.0.tar.gz 93511 BLAKE2B 8f4a8b169533194a82465ca29b4cbf52e9c724b9976355ad64459826ff9ad15da9762c6e90e237fef046fc6a8114abf54e0022eec573abf98a56bd067e7c06dd SHA512 06daacf46e4c8ef272ac2a60f8fad1abbb3eaa2bf5242991e7f32fd87e911917b6baf4965b0cbc96c11d0be0425585d501258d0c1faa065469dea6c3b8c97797
DIST fast_gettext-2.3.0.tar.gz 93620 BLAKE2B 2f4dd0f6ad74df593573ce73ee40da549e506fc6fc7ca9ea17dacaa120cec97c202ba31b1fe32b628006fa1381572858dc314110a76c1ee7a91c049664133ede SHA512 517499785022922e54278ad4427abaabb63fd9d0470398cfca1c1804f3ca4992c01105ea727d152d2b8d1cbab86138a7552dfbbd4b3b3241b5fc1a3298db7dc2
+DIST fast_gettext-2.6.0.tar.gz 94293 BLAKE2B b7b955fa87a010c85a22824a9bc5d6835836219cad13c82f42c16b1102a55b5d33a7386394efd2ba2baa299445d29e444ffcc750733ae51c9defc297a769a06a SHA512 1f0b824a8335572646a8486487e22b9fbe4ee63d0e67985a6b56806afac565610492834d34d5e45dab7908e986cc34ab80261aaea87489898e90b6fbe51a4f0a
diff --git a/dev-ruby/fast_gettext/fast_gettext-2.6.0.ebuild b/dev-ruby/fast_gettext/fast_gettext-2.6.0.ebuild
new file mode 100644
index 000000000000..67479c606646
--- /dev/null
+++ b/dev-ruby/fast_gettext/fast_gettext-2.6.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG Readme.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="fast_gettext.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="GetText but 3.5x faster, 560x less memory, clean namespace and threadsafe!"
+HOMEPAGE="https://github.com/grosser/fast_gettext"
+SRC_URI="https://github.com/grosser/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT BSD-2"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+ruby_add_depend "dev-ruby/prime"
+
+ruby_add_bdepend "test? ( dev-ruby/bundler )"
+
+all_ruby_prepare() {
+ rm Gemfile.lock || die
+
+ sed -i -e '/single/I s:^:#:' spec/spec_helper.rb || die
+ sed -i -e '/SingleCov/ s:^:#:' spec/{*,*/*}/*spec.rb || die
+
+ # Avoid unneeded dependency on git and development dependencies.
+ sed -e '/git ls-files/ s:^:#:' \
+ -e '/\(wwtd\|bump\|sqlite3\|activerecord\|i18n\|single_cov\|forking_test_runner\|rubocop\)/ s:^:#:' \
+ -e 's:require_relative ":require "./:' \
+ -i fast_gettext.gemspec || die
+
+ # Avoid a test dependency on activerecord since this is now in the
+ # dependency tree for app-admin/puppet and many arches don't have
+ # rails keyworded.
+ sed -i -e '/active_record/ s:^:#:' spec/spec_helper.rb || die
+ rm -f spec/fast_gettext/translation_repository/db_spec.rb || die
+ rm -f spec/fast_gettext/storage_spec.rb || die
+ sed -i -e '/with i18n loaded/,/^ end/ s:^:#:' spec/fast_gettext/vendor/string_spec.rb || die
+}
+
+each_ruby_prepare() {
+ # Make sure the right ruby interpreter is used
+ sed -i -e "s:bundle exec ruby:bundle exec ${RUBY}:" spec/fast_gettext/vendor/*spec.rb || die
+}
next reply other threads:[~2024-05-21 5:46 UTC|newest]
Thread overview: 67+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-21 5:46 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-06 11:18 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fast_gettext/ Sam James
2024-08-22 6:54 Sam James
2024-08-22 6:54 Sam James
2024-08-22 5:30 Hans de Graaff
2024-06-02 8:34 Hans de Graaff
2024-05-24 7:36 Hans de Graaff
2024-01-14 8:15 Hans de Graaff
2023-12-31 19:20 Hans de Graaff
2023-04-23 19:55 Sam James
2023-04-23 19:53 Sam James
2023-04-07 4:16 Sam James
2023-04-07 4:14 Sam James
2023-04-01 23:19 Sam James
2023-03-24 3:58 Sam James
2023-02-19 8:10 Hans de Graaff
2023-01-21 9:08 Hans de Graaff
2022-12-18 10:20 Hans de Graaff
2022-06-18 8:40 Hans de Graaff
2022-05-06 7:13 Hans de Graaff
2022-05-06 7:13 Hans de Graaff
2022-01-26 18:40 Fabian Groffen
2022-01-23 8:10 Hans de Graaff
2021-08-27 6:46 Hans de Graaff
2021-08-27 6:46 Hans de Graaff
2020-11-20 7:43 Robin H. Johnson
2020-11-20 7:29 Robin H. Johnson
2020-06-15 17:36 Hans de Graaff
2020-05-30 5:04 Hans de Graaff
2020-02-21 6:47 Hans de Graaff
2020-02-06 7:00 Hans de Graaff
2020-01-23 19:13 Hans de Graaff
2019-11-16 9:13 Hans de Graaff
2019-04-21 5:54 Hans de Graaff
2019-03-10 9:23 Hans de Graaff
2019-02-02 9:00 Hans de Graaff
2018-12-09 7:38 Hans de Graaff
2018-06-23 5:21 Hans de Graaff
2018-06-14 4:39 Hans de Graaff
2018-05-15 15:26 Matt Thode
2018-03-07 17:20 Hans de Graaff
2018-01-08 23:57 Thomas Deutschmann
2018-01-08 22:50 Thomas Deutschmann
2017-12-28 6:44 Hans de Graaff
2017-12-27 20:06 Sergei Trofimovich
2017-12-27 20:06 Sergei Trofimovich
2017-12-09 13:10 Sergei Trofimovich
2017-12-09 13:10 Sergei Trofimovich
2017-12-09 7:55 Hans de Graaff
2017-12-03 6:42 Hans de Graaff
2017-12-02 6:29 Hans de Graaff
2017-09-13 13:42 Fabian Groffen
2017-08-30 18:19 Fabian Groffen
2017-08-19 7:11 Hans de Graaff
2017-08-15 5:02 Hans de Graaff
2017-08-15 5:02 Hans de Graaff
2017-07-15 20:14 Hans de Graaff
2017-06-22 5:12 Hans de Graaff
2017-05-31 3:34 Hans de Graaff
2017-03-20 6:11 Hans de Graaff
2016-10-20 5:31 Hans de Graaff
2016-08-04 6:01 Hans de Graaff
2016-05-31 4:49 Hans de Graaff
2016-03-03 6:17 Hans de Graaff
2016-01-22 7:55 Hans de Graaff
2016-01-22 7:55 Hans de Graaff
2015-10-23 7:04 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1716270345.4d99ffadfda67b2d957a46c11467aefb2019fefd.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox